summary-methods {rstan} | R Documentation

## Summary method for stanfit objects

### Description

Summarize the distributions of estimated parameters and derived quantities using the posterior draws.

### Usage

      ## S4 method for signature 'stanfit'
    summary(object, pars, probs = c(0.025, 0.25, 0.50, 0.75, 0.975),
      use_cache = TRUE, ...)

### Arguments

`object` | An instance of class `stanfit`.
`pars` | A character vector of parameter names. Defaults to all parameters as well as the log-posterior (`lp__`).
`probs` | A numeric vector of `quantile`s of interest. The default is `c(0.025,0.25,0.5,0.75,0.975)`.
`use_cache` | Logical, defaulting to `TRUE`. When `use_cache=TRUE` the summary quantities for all parameters are computed and cached for future use. Setting `use_cache=FALSE` can be used to avoid performing the summary computations for all parameters if `pars` is given as some specific parameters.
`...` | Currently unused.

### Value

The `summary` method returns a named list with elements `summary` and `c_summary`, which contain summaries for for all chains merged and individual chains, respectively. Included in the summaries are quantiles, means, standard deviations (sd), effective sample sizes (n_eff), and split Rhats (the potential scale reduction derived from all chains after splitting each chain in half and treating the halves as chains). For the summary of all chains merged, Monte Carlo standard errors (se_mean) are also reported.

### See Also

`monitor`, which computes similar summaries but accepts an array of MCMC draws as its input rather than a `stanfit` object.

### Examples

    ## Not run:
    ecode <- '
      parameters {
        real<lower=0> y[2];
      }
      model {
        y ~ exponential(1);
      }
    '
    fit <- stan(model_code = ecode)
    s <- summary(fit, probs = c(0.1, 0.9))
    s$summary  # all chaines merged
    s$c_summary  # individual chains

    ## End(Not run)

[Package rstan version 2.12.1 Index]